<!-- Slide Menu -->
<aside
  class="side-menu__container"
  [ngClass]="{ 'side-menu__container-active': showMenu }"
  (click)="toggleMenu()"
>
  <nav
    class="slide-menu"
    [ngClass]="{ 'slide-menu-active': showMenu }"
    (click)="$event.stopImmediatePropagation()"
  >
    <section class="menu-header">
      <span class="greeting__text">Filters</span>
      <div class="profile-image__container">
        <img
          src="{{currentMatch.mainPhoto}}"
          alt="profile-image"
          class="profile__image"
        />
      </div>
      <div class="account-details">
        <span class="name__text">{{ currentMatch.displayName }}</span>
        <span class="email__text">
          <div>
            <a mat-button  (click)="returnToLanding()">
              Return
            </a>
            <a mat-button  disabled=[disabled]>
                Edit Profile
              </a>
          </div>
        </span>
      </div>

    </section>
    <section class="menu-body">
      <!-- Filter components - Start -->
      <div style="padding: 6%">
        <mat-slide-toggle
          [(ngModel)]="filter.hasPhoto"
          (change)="filterMatches($event, 'photo')"
          name="photo"
          >Has Photo</mat-slide-toggle
        >
        &nbsp;&nbsp;&nbsp;
        <mat-slide-toggle
        [(ngModel)]="filter.inContact"
          (change)="filterMatches($event, 'inContact')"
          name="inContact"
          >In Contact</mat-slide-toggle
        >
        &nbsp;&nbsp;&nbsp;
        <mat-slide-toggle
          [(ngModel)]="filter.favourite"
          (change)="filterMatches($event, 'favourite')"
          name="favourite"
          >Favourite</mat-slide-toggle
        >
        <br>
        Compatibility:
        <nouislider
          [connect]="true"
          [min]="1"
          [max]="99"
          [step]="10"
          [tooltips]="[true, true]"
          [(ngModel)]="csRange"
          (end)="filterMatches($event, 'cs')"
        ></nouislider>
        Age:
        <nouislider
          [connect]="true"
          [min]="18"
          [max]="95"
          [step]="5"
          [tooltips]="[true, true]"
          [(ngModel)]="ageRange"
          (end)="filterMatches($event, 'age')"
        ></nouislider>
        Height:
        <nouislider
          [connect]="true"
          [min]="135"
          [max]="210"
          [step]="5"
          [tooltips]="[true, true]"
          [(ngModel)]="heightRange"
          (end)="filterMatches($event, 'height')"
        ></nouislider>
        Max Distance (in KM):
        <nouislider
          [connect]="true"
          [min]="30"
          [max]="300"
          [step]="5"
          [tooltips]="[true]"
          [(ngModel)]="dist"
          (end)="filterMatches($event, 'dist')"
        ></nouislider>
      </div>
      <!-- Filter components - End -->
    </section>
    <section class="menu-footer"></section>
  </nav>
</aside>

<div class="root__container">
  <header
    [ngClass]="{ 'main__header-dark': darkModeActive }"
    class="main__header" style="position: fixed; z-index:50"
  >
  <div class="left__section">
    <svg (click)="toggleMenu()" class="hamburger__icon" id="Menu_Burger_Icon" data-name="Menu Burger Icon" viewBox="31.5 30 49.9 32">
      <defs>
        <style>
          .hamburger__icon__fill {
            fill: #594e78
          }
        </style>
      </defs>
      <rect id="Rectangle_9" width="49.9" height="4" [ngClass]="{'hamburger__icon__fill-dark': darkModeActive}" class="hamburger__icon__fill"
        data-name="Rectangle 9" rx="2" transform="translate(31.5 58)" />
      <rect id="Rectangle_10" width="49.9" height="4" [ngClass]="{'hamburger__icon__fill-dark': darkModeActive}" class="hamburger__icon__fill"
        data-name="Rectangle 10" rx="2" transform="translate(31.5 44)" />
      <rect id="Rectangle_11" width="49.9" height="4" [ngClass]="{'hamburger__icon__fill-dark': darkModeActive}" class="hamburger__icon__fill"
        data-name="Rectangle 11" rx="2" transform="translate(31.5 30)" />
    </svg>

    <!----<svg class="logo__icon" viewBox="150.3 22.2 213.7 42.8">
      <path fill="#00ff9b" d="M150.3 65V22.2L193 65z" data-name="Path 1" />
      <path fill="#003eff" d="M193.1 65h-42.8L193 22.2z" data-name="Path 2" />
      <text [ngClass]="{'logo__text-dark': darkModeActive}" class="logo__text" fill="#432c85" font-family="SegoeUI-Semibold,Segoe UI"
        font-size="30" font-weight="600" letter-spacing=".1em" transform="translate(237 56)">
        <tspan x="0" y="0">Minimis</tspan>
      </text>
    </svg> -->
  </div>

    <h3 class="date__text">Matches</h3>


  </header>

  <!-- Main Content -->

  <!-- <router-outlet></router-outlet> -->
  <main class="main__container" [ngClass]="{ 'main-container__bg-dark': darkModeActive }" style="margin-top:60px;">
      <mat-tab-group>
          <mat-tab label="Visible">
    <mat-card *ngFor="let match of matches" style="margin: 1%; border-radius: 10px;">
      <mat-card-header>
        <img mat-card-avatar class="avatar-image" src="{{match.mainPhoto}}" />
        <mat-card-title
          >{{ match.displayName }}
          <sup *ngIf="match.favourite" style="color: darkcyan"
            >Favourite</sup
          ></mat-card-title
        >
        <mat-card-subtitle>{{ match.jobTitle }}</mat-card-subtitle>
      </mat-card-header>
      <span style="font-size: 12px;">
        {{ match.age }} Yrs | Lives in: {{ match.city.name }} | Height:
        {{ match.heightInCm }} Cms | Religion: {{ match.religion }} |
        Compatibility: {{ match.compatibilityScore * 100 }}% | Contacts
        Exchanged: {{ match.contactsExchanged }}
      </span>
      <mat-card-actions align='start'>
        <button mat-button color="primary" (click)="toogleFav($event, match)">
            <mat-icon [ngStyle]="{'color': match.favourite?'yellow':'grey' }"> star_rate</mat-icon>
        </button>
        <button mat-button color="primary" (click)="toogleHideMath($event, match)">
            <mat-icon style="color:white">delete_outline</mat-icon>
        </button>
        <button mat-button color="primary" (click)="sendSmiley($event, match)">
            <mat-icon style="color:yellowgreen">tag_faces</mat-icon>
        </button>
      </mat-card-actions>
    </mat-card>
    </mat-tab>

    <mat-tab label="Hidden">
        <mat-card *ngFor="let match of hiddenMatches" style="margin: 1%; border-radius: 10px;">
          <mat-card-header>
            <img mat-card-avatar class="avatar-image" src="{{match.mainPhoto}}" />
            <mat-card-title
              >{{ match.displayName }}
              <sup *ngIf="match.favourite" style="color: darkcyan"
                >Favourite</sup
              ></mat-card-title
            >
            <mat-card-subtitle>{{ match.jobTitle }}</mat-card-subtitle>
          </mat-card-header>
          <span style="font-size: 12px;">
            {{ match.age }} Yrs | Lives in: {{ match.city.name }} | Height:
            {{ match.heightInCm }} Cms | Religion: {{ match.religion }} |
            Compatibility: {{ match.compatibilityScore * 100 }}% | Contacts
            Exchanged: {{ match.contactsExchanged }}
          </span>
          <mat-card-actions align='start'>
            <button mat-button color="primary" (click)="toogleFav($event, match)">
                <mat-icon [ngStyle]="{'color': match.favourite?'yellow':'grey' }"> star_rate</mat-icon>
            </button>
            <button mat-button color="primary" (click)="toogleHideMath($event, match)">
                <mat-icon style="color:white">delete_outline</mat-icon>
            </button>
            <button mat-button color="primary" (click)="sendSmiley($event, match)">
                <mat-icon style="color:yellowgreen">tag_faces</mat-icon>
            </button>
          </mat-card-actions>
        </mat-card>
        </mat-tab>
    </mat-tab-group>
  </main>

  <!-- Footer -->

  <!-- <footer class="main__footer">
    <small class="copyright__text"></small>
  </footer> -->
</div>
